%parameters_BtKp_two_CSTR_glc_ox
function [vs, mu, vs_Ox, vs_Dex_Glu] = parameters_BtKp_two_CSTR_glc_ox(S_Glc,S_Dex,S_Ac,S_Mal,O,S_Pro,S_Succ,community,t,vs_Ox_new,vs_Glc_new)

numSpecies = length(community.species);
numMetabolites = length(community.mets);

    
vs =zeros(numSpecies,numMetabolites);
mu = zeros(1, numSpecies);
vs_Ox = 0;
vs_Dex_Glu = 0;

update_uptakes_BTKP_analytical_glc_ox;  % updating FBA uptake constraints

for i = 1:numSpecies
    switch community.species(i).description
		case 'dextran_user'
            if O > 0.00035
                community.species(i) = changeRxnBounds(community.species(i),'Biomass',0,'l');
                community.species(i) = changeRxnBounds(community.species(i),'Biomass',0,'u');
                community.species(i) = changeRxnBounds(community.species(i),'EX_glc_D(e)',0,'l');
                community.species(i) = changeRxnBounds(community.species(i),'EX_dextran40(e)',0,'l');
            end
    end
end

%% Uncomment the following if would like to store FBA solutions for every time point
% global KPFBAS;
% global KPFBAS_time;
% global BTFBAS;
% global BTFBAS_time;


for i = 1:numSpecies
    
    sol = optimizeCbModel(community.species(i),'max',false);
    TF = isempty(sol.x);
%% Uncomment the following if would like to store FBA solutions for every time point   
%     % storing FBA results
%     switch community.species(i).description
% 		case 'oxygen_user'
%             KPFBAS = [KPFBAS sol.x];
%             if (TF ~= 1)
%                 KPFBAS_time =[KPFBAS_time t];
%             end
%         case 'dextran_user'
%             BTFBAS = [BTFBAS sol.x];
%             if (TF ~= 1)
%                 BTFBAS_time = [BTFBAS_time t];
%             end
%     end
    
    if (sol.stat ~= 1 || (TF == 1))    
        mu(i) = 0;
        %disp('deathphase');
        
        switch community.species(i).description
        case 'oxygen_user'
            vs_Ox = 0;
        case 'dextran_user'
            vs_Dex_Glu = 0;
        end
            
    else
        mu(i) = sol.x(findRxnIDs(community.species(i),'Biomass'));
        for j = 1:numMetabolites
            if ismember(community.mets(j),community.species(i).rxns)
                vs(i,j) = sol.x(findRxnIDs(community.species(i),community.mets(j)));
            end
        end
        
        switch community.species(i).description
        case 'oxygen_user'
            vs_Ox = sol.x(findRxnIDs(community.species(i),'EX_o2(e)'));
        case 'dextran_user'
            vs_Dex_Glu = sol.x(findRxnIDs(community.species(i),'Glucose_for_Kp'));
        end
        
    end
    
end

global VS_OX;
VS_OX = [VS_OX vs_Ox];

global mu_vector;
global mu_bt;
global mu_kp;
mu_kp = [mu_kp mu(1,1)];
mu_bt = [mu_bt mu(1,2)];
mu_vector = [mu_vector mu];



end
